import { Product } from "./Components/Product/Product"
import { Order } from "./Components/Order/Order"
import { useState } from "react"
import { TProduct } from "./Interfaces/product"
import { useGetProductsQuery } from "./Store/Services/product.service"
import { parseProducts } from "./Helpers/parseProducts"

export const App = () => {
  const {data, isSuccess} = useGetProductsQuery('')

  const [order, setOrder] = useState<TProduct[]>([])

  const onClickProduct = (id: string) => {
    
  }

  const onClickOrder = () => {

  }

  return (
    <div className={"App"}>
      <Product 
        products={isSuccess ? parseProducts(data) : null} 
        onClick={onClickProduct}      
      />
      <Order 
        products={order} 
        onClick={onClickOrder}
      />
    </div>
  )
}