import { createApi, fetchBaseQuery } from '@reduxjs/toolkit/query/react'

export const ProductService = createApi({
    reducerPath: "product-query",
    baseQuery: fetchBaseQuery({
        baseUrl: "https://burger-278a4-default-rtdb.firebaseio.com"
    }),
    endpoints: (builder) => ({
        getProducts: builder.query({
            query: () => "/products.json"
        })
    })
})

export const {useGetProductsQuery} = ProductService