import { createSlice } from "@reduxjs/toolkit";
import type { TContact } from "../../Interfaces/contcat";
import type { TProduct } from "../../Interfaces/product";

type TState = {
    order: {
        contact: TContact,
        products: TProduct[]
    } | null
}

const initialState: TState = {
    order: null
}

export const BasketSlice = createSlice({
    name: "basket",
    initialState,
    reducers: {
        
    }
})